Package org.bukkit.inventory.meta

# Interface TropicalFishBucketMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface TropicalFishBucketMeta extends ItemMeta
Represents a bucket of tropical fish.

## Method Summary

Modifier and Type
Method
Description
`@NotNull TropicalFishBucketMeta`
`clone()`
`@NotNull DyeColor`
`getBodyColor()`
Gets the color of the fish's body.
`TropicalFish.Pattern`
`getPattern()`
Gets the fish's pattern.
`@NotNull DyeColor`
`getPatternColor()`
Gets the color of the fish's pattern.
`boolean`
`hasVariant()`
Checks for existence of a variant tag indicating a specific fish will be spawned.
`void`
`setBodyColor(@NotNull DyeColor color)`
Sets the color of the fish's body.
`void`
`setPattern(TropicalFish.Pattern pattern)`
Sets the fish's pattern.
`void`
`setPatternColor(@NotNull DyeColor color)`
Sets the color of the fish's pattern.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### getPatternColor

@NotNull @NotNull DyeColor getPatternColor()
Gets the color of the fish's pattern.

Plugins should check that hasVariant() returns `true` before calling this method.

Returns:
  pattern color

### setPatternColor

void setPatternColor(@NotNull @NotNull DyeColor color)
Sets the color of the fish's pattern.

Setting this when hasVariant() returns `false` will initialize all other values to unspecified defaults.

Parameters:
  `color` - pattern color

### getBodyColor

@NotNull @NotNull DyeColor getBodyColor()
Gets the color of the fish's body.

Plugins should check that hasVariant() returns `true` before calling this method.

Returns:
  pattern color

### setBodyColor

void setBodyColor(@NotNull @NotNull DyeColor color)
Sets the color of the fish's body.

Setting this when hasVariant() returns `false` will initialize all other values to unspecified defaults.

Parameters:
  `color` - body color

### getPattern

@NotNull TropicalFish.Pattern getPattern()
Gets the fish's pattern.

Plugins should check that hasVariant() returns `true` before calling this method.

Returns:
  pattern

### setPattern

void setPattern(@NotNull TropicalFish.Pattern pattern)
Sets the fish's pattern.

Setting this when hasVariant() returns `false` will initialize all other values to unspecified defaults.

Parameters:
  `pattern` - new pattern

### hasVariant

boolean hasVariant()
Checks for existence of a variant tag indicating a specific fish will be spawned.

Returns:
  if there is a variant

### clone

@NotNull @NotNull TropicalFishBucketMeta clone()

Specified by:
  `clone` in interface `ItemMeta`